
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "check_mot/version"

Gem::Specification.new do |spec|
  spec.name          = "check_mot"
  spec.version       = CheckMot::VERSION
  spec.authors       = ["Ben Forrest"]
  spec.email         = ["ben@clickmechanic.com"]

  spec.summary       = 'Ruby interface for the UK MOT History API'
  spec.description   = 'See https://www.check-mot.service.gov.uk/mot-history-api for details of the API spec'
  spec.homepage      = "https://github.com/ClickMechanic/check_mot"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"

    spec.metadata["homepage_uri"] = 'https://www.clickmechanic.com'
    spec.metadata["source_code_uri"] = 'https://github.com/ClickMechanic/check_mot'
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_dependency 'activesupport', '>= 4.0'
  spec.add_dependency 'faraday', '>= 0.9'
end
